#include "xmaterialvertexshaderprogram.h"

XMaterialVertexShaderProgram::XMaterialVertexShaderProgram()
    : XAsset()
    //, mVertexShader()
    , mLoadDef()
{
    SetName("Material Vertex Shader Program");
}

XMaterialVertexShaderProgram::~XMaterialVertexShaderProgram()
{
    
}

void XMaterialVertexShaderProgram::Clear()
{
    //mVertexShader.Clear();
    mLoadDef.Clear();
}

void XMaterialVertexShaderProgram::ParseData(XDataStream *aStream)
{
    if (IsDebug())
    {
        qDebug() << QString("[%1] Parsing data for %2").arg(aStream->device()->pos(), 10, 10, QChar('0')).arg(GetName());
    }
    mLoadDef.ParseData(aStream);
}
